Bug 147699 - [patch] powerpc64 support for x11-toolkits/gtk20
Summary: [patch] powerpc64 support for x11-toolkits/gtk20
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-08 20:40 UTC by Nathan Whitehorn
Modified: 2010-06-14 09:20 UTC (History)
0 users

See Also:


Attachments
gtk20-ppc64.diff (1.10 KB, patch)
2010-06-08 20:40 UTC, Nathan Whitehorn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan Whitehorn freebsd_committer 2010-06-08 20:40:00 UTC
	Due to a flaw in binutils 2.15, function names can conflict with
ELF assembler directives on PPC64 systems. As a result, it is not possible
to have functions named things like 'text' and 'data', one of which GTK 2.0
has.

Fix: This patches renames a private function in gtkbuilderparser.c from
text to XXXtext on powerpc64 systems to work around the ABI problem with
binutils.
How-To-Repeat: 	Build GTK 2 on powerpc64.
Comment 1 Edwin Groothuis freebsd_committer 2010-06-08 20:40:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Koop Mast freebsd_committer 2010-06-11 22:05:32 UTC
Hello,

Is the following part needed? Because it is also in bsd.port.mk:1208. It
is a bit double doing it again in the port.

# Get the architecture
.if !defined(ARCH)
ARCH!=  ${UNAME} -p
.endif

-Koop
Comment 3 Nathan Whitehorn freebsd_committer 2010-06-12 01:35:13 UTC
On Fri, 11 Jun 2010 23:05:32 +0200
Koop Mast <kwm@FreeBSD.org> wrote:

> Hello,
> 
> Is the following part needed? Because it is also in bsd.port.mk:1208.
> It is a bit double doing it again in the port.
> 
> # Get the architecture
> .if !defined(ARCH)
> ARCH!=  ${UNAME} -p
> .endif
> 
> -Koop
> 

It does not seem so. I had just blindly copied the architecture
detection code out of the xorg-server Makefile. You have to move the
conditional until after the .include <bsd.port.pre.mk> for it to work,
though, since ARCH isn't defined before that.
-Nathan
Comment 4 dfilter service freebsd_committer 2010-06-14 09:15:12 UTC
kwm         2010-06-14 08:14:54 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/gtk20   Makefile 
  Added files:
    x11-toolkits/gtk20/files extra-arch-powerpc64 
  Log:
  Fix the build on powerpc64.
  
  Due to a flaw in binutils 2.15, function names can conflict with ELF assembler
  directives on PPC64 systems. As a result, it is not possible to have functions
  named things like 'text' and 'data', one of which GTK 2.0 has.
  
  PR:             ports/147699
  Submitted by:   nwhitehorn@
  
  Revision  Changes    Path
  1.246     +4 -0      ports/x11-toolkits/gtk20/Makefile
  1.1       +20 -0     ports/x11-toolkits/gtk20/files/extra-arch-powerpc64 (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Koop Mast freebsd_committer 2010-06-14 09:19:05 UTC
State Changed
From-To: open->closed

Committed thanks!